<?php

declare(strict_types=1);
namespace Drupal\sessionless_test\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\HttpFoundation\Session\SessionInterface;

final class SessionlessTestForm extends FormBase {

  public function getFormId() {
    return 'sessionless_test_form';
  }

  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['protected'] = [
      '#type' => 'sessionless_signed_encrypted',
      '#default_value' => 'AliceInWonderland'
    ];
    $form['actions']['submit'] = [
      '#type' => 'submit',
      '#value' => t('Submit'),
    ];
    return $form;
  }

  public function validateForm(array &$form, FormStateInterface $form_state) {}

  public function submitForm(array &$form, FormStateInterface $form_state) {
    $protectedValue = $form_state->getValue('protected');
    \Drupal::messenger()->addStatus("ProtectedValue:$protectedValue");
  }

}
