<?php

declare(strict_types=1);
namespace Drupal\Tests\sessionless\Kernel;

use Drupal\KernelTests\KernelTestBase;
use Drupal\sessionless\KeyStorage\KeyStorage;
use Drupal\sessionless\WebTokenAlgorithms\WebTokenAlgorithms;
use Drupal\sessionless\WebTokenAlgorithms\WebTokenAlgorithmsCacheDecorator;
use Drupal\sessionless\WebTokenService\WebTokenEncryptAndSignService;
use Drupal\sessionless\WebTokenService\WebTokenOnlySignService;
use Drupal\sessionless\WebTokenService\WebTokenServiceInterface;

/**
 * @group sessionless
 */
final class SessionlessServicesKernelTest extends KernelTestBase {

  protected static $modules = ['sessionless'];

  public function testServices(): void {
    $this->assertInstanceOf(WebTokenEncryptAndSignService::class,
      $this->container->get('sessionless.web_token_service.encrypted_signed'));
    $this->assertInstanceOf(WebTokenOnlySignService::class,
      $this->container->get('sessionless.web_token_service.only_signed'));
    $this->assertInstanceOf(WebTokenAlgorithms::class,
      $this->container->get('sessionless.web_token_algorithms.uncached'));
    $this->assertInstanceOf(WebTokenAlgorithmsCacheDecorator::class,
      $this->container->get('sessionless.web_token_algorithms'));
    $this->assertInstanceOf(KeyStorage::class,
      $this->container->get('sessionless.key_storage'));
  }

}
