<?php

declare(strict_types=1);
namespace Drupal\Tests\sessionless\Kernel;

use Drupal\KernelTests\KernelTestBase;
use Drupal\sessionless\KeyStorage\KeyStorage;
use Drupal\sessionless\WebTokenAlgorithms\WebTokenAlgorithms;
use Drupal\sessionless\WebTokenAlgorithms\WebTokenAlgorithmsCacheDecorator;
use Drupal\sessionless\WebTokenService\WebTokenEncryptAndSignService;
use Drupal\sessionless\WebTokenService\WebTokenOnlySignService;
use Drupal\sessionless\WebTokenService\WebTokenServiceInterface;
use Drupal\sessionless_session\SessionlessSession;

/**
 * @group sessionless
 */
final class SessionlessSessionServicesKernelTest extends KernelTestBase {

  protected static $modules = ['sessionless_session'];

  public function testServices(): void {
    $this->assertInstanceOf(SessionlessSession::class,
      $this->container->get('sessionless_session.session'));
  }

}
